/**
 * 统一引用工具类
 * @Author: huangjq
 * @Date:   2019-04-08
 * @Project jz
 */
let utils  = require("ui-jz-v4-common/src/common/utils").default;

const { ztMoment, ztLodash } = utils;

const install = function(Vue) {
    Object.defineProperty(Vue.prototype, "$moment", { value: ztMoment });
    Object.defineProperty(Vue.prototype, "$lodash", { value: ztLodash });
};

/* istanbul ignore if */
if (typeof window !== "undefined" && window.Vue) {
    install(window.Vue);
}

export default {
    version: "1.0.0",
    install
};
